/*
    Copyright (C) 2003 Adam Olsen

	This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 1, or (at your option)
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

package com.valhalla.gui;

import java.awt.*;
import java.util.*;

import javax.swing.*;


/**
 * WaitDialog
 * This is just a frame with a JLabel in it and no buttons
 * used for displaying "Please wait..." dialogs and the like
 *
 * @author Adam Olsen
 * @version 1.0
 *
**/

public class WaitDialog extends JDialog
{
	/**
	 * Default constructor
	 * @param title the message to be displayed in the window's titlebar
	 * @param string the message to be displayed in the main window
	**/
	public WaitDialog( String title, String string )
	{
		setTitle( title );

		JPanel panel = (JPanel)getContentPane();
		panel.setLayout( new BorderLayout() );
		panel.setBorder( BorderFactory.createEmptyBorder( 30, 60, 30, 60 ) );

		JLabel label = new JLabel( string );

		panel.add( label, BorderLayout.CENTER );

		pack();
		setLocationRelativeTo( null );

		setDefaultCloseOperation( JFrame.DO_NOTHING_ON_CLOSE );
	}

	/**
	 * Single param constructor - passes string to <code>WaitDialog( String, String )</code>
	 * @param string the message to be displayed
	**/
	public WaitDialog( String string )
	{
		this( string, string );
	}
}
