/*
	Copyright (C) 2003 Adam Olsen

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 1, or (at your option)
	any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

package com.valhalla.jbother;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.*;

import com.valhalla.gui.*;
import com.valhalla.jbother.*;

/**
 * Displays a splash screen for a second
 * @author Adam Olsen
 * @version 1.0
**/
public class SplashScreen extends JWindow
{
	javax.swing.Timer splashTimer = new javax.swing.Timer( 1500, new SplashHandler() );

	/**
	 * Default constructor
	**/
	public SplashScreen()
	{
		super( BuddyList.getInstance() );

		ImageIcon splashImage = Standard.getIcon( "images/splashimage.png" );
		getContentPane().add( new JLabel( splashImage ) );
		pack();

		setLocationRelativeTo( null );
		show();
		splashTimer.start();
	}

	/**
	 * Closes the SplashScreen
	 * Closes the SplashScreen after the time has expired
	 * @author Adam Olsen
	 * @version 1.0
	**/
	class SplashHandler implements ActionListener
	{
		/**
		 * Called by the <code>javax.swing.Timer</code>
		**/
		public void actionPerformed( ActionEvent e )
		{
			SwingUtilities.invokeLater( new Runnable()
			{
				public void run()
				{
					splashTimer.stop();
					hide();
					com.valhalla.jbother.JBotherLoader.launch();
					dispose();
				}
			} );
		}
	}
}
