/*
	Copyright (C) 2003 Adam Olsen

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 1, or (at your option)
	any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

package com.valhalla.jbother;

import java.io.File;

/**
 * A class to contain information about different file extensions
 * used in JBother
 * @author Adam Olsen
 * @version 1.0
**/
class Utils
{

	public final static String html = "html";
	public final static String gcb = "gcb";

	/**
	 * Get the extension of a file.
	 * @param f the file to get the extension of
	 * @return the extension of the file
	 */
	public static String getExtension( File f )
	{
		String ext = null;
		String s = f.getName();
		int i = s.lastIndexOf( '.' );

		if( i > 0 &&  i < s.length() - 1 )
		{
			ext = s.substring( i + 1 ).toLowerCase();
		}
		return ext;
	}
}
