/*
	Copyright (C) 2003 Adam Olsen

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 1, or (at your option)
	any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

package com.valhalla.jbother.jabber.smack;

import org.jivesoftware.smack.*;
import org.jivesoftware.smack.packet.*;
import com.valhalla.jbother.*;
import com.valhalla.jbother.jabber.*;

/**
 * Listens for changes in the Roster
 * @author Adam Olsen
 * @version 1.0
*/
public class RosterListener implements org.jivesoftware.smack.RosterListener
{
	/**
	 * Called when a roster entry's presence changes
	*/
	public void presenceChanged( String address )
	{
		int loc = address.indexOf( "/" );

		if( loc != -1 )
		{
			if( address.indexOf( "@" ) >= 0 ) address = address.substring( 0, loc );
		}

		BuddyStatus buddy = BuddyList.getInstance().getBuddyStatus( address );
		BuddyList.getInstance().getBuddyListTree().addBuddy( buddy );
	}

	/**
	 * Not used by this class
	*/
	public void rosterModified() { }
}
