/*
    Copyright (C) 2003 Adam Olsen

	This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 1, or (at your option)
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

package com.valhalla.jbother.menus;

import javax.swing.JMenuBar;
import com.valhalla.jbother.BuddyList;

/**
 * The menu that resides on the top of the BuddyList
 * @author Adam Olsen
 * @version 1.0
*/
public class BuddyListTopMenu extends JMenuBar
{
	private BuddyList blist;
	BuddyListBuddiesMenu buddiesMenu = null;
	SetStatusMenu statusMenu = null;

	/**
	 * Sets up the top menu
	 * @param blist the buddy list that this menu is attached to
	*/
	public BuddyListTopMenu( BuddyList blist )
	{
		this.blist = blist;

		statusMenu = new SetStatusMenu( blist );
		buddiesMenu = new BuddyListBuddiesMenu( blist );
		if( System.getProperty( "mrj.version" ) == null ) add( statusMenu );
		add( buddiesMenu );
		if( System.getProperty( "mrj.version" ) != null ) add( statusMenu );
		if( System.getProperty( "mrj.version" ) == null ) add( new BuddyListHelpMenu() );
	}

	/**
	 * @param var true if this is OS X
	*/
	public void setOSX( boolean var )
	{
		buddiesMenu.setOSX( var );
	}

	/**
	 * Gets the status menu
	 * @return the SetStatusMenu
	*/
	public SetStatusMenu getStatusMenu() {
		return statusMenu;
	}
}
