package com.valhalla.jbother.plugins.events;

import com.valhalla.pluginmanager.*;
import com.valhalla.jbother.*;

/*
    Copyright (C) 2005 Jun Hu
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 1, or (at your option)
    any later version.
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/**
 * This event is distributed by ChatPanel.
 *
 *
 * @author     Jun Hu
 * @created    January 12, 2005
 * @version    1.0
 * @see ChatPanel
 */


public class ConversationEvent extends PluginEvent {
    /**
     * static types of ConversationEvent.
     *
     *
     * @author     Jun Hu
     * @created    January 12, 2005
     * @version    1.0
     * @see ConversationEvent
     */
    public static class Type {
        public static final Type SENDING_MESSAGE = new Type();
        public static final Type RECEIVEING_MESSAGE = new Type();
        public static final Type INIT = new Type();
        private Type() {};
    }


    private String content = null;
    private Type type = null;
    private boolean noMoreFormatting = false;
    private boolean toHide = false;

    public ConversationEvent(Object source) {
        super(source);
    }

    public void setType(Type type) {
        this.type = type;
    }

    public Type getType() {
        return type;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public void setNoMoreFormatting(boolean noMoreFormatting) {
        this.noMoreFormatting = noMoreFormatting;
    }

    public void setToHide(boolean toHide) {
        this.toHide = toHide;
    }

    public String getContent() {
        return content;
    }

    public boolean isNoMoreFormatting() {
        return noMoreFormatting;
    }

    public boolean isToHide() {
        return toHide;
    }

}
